Bug 1475256 - Vhost-user cross-version live-migration support
Vhost-user cross-version live-migration support
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dpdk (Show other bugs)
7.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Kevin Traynor
Jean-Tsung Hsiao
: Extras
Depends On:
Blocks: 1475259 1475262
  Show dependency treegraph
 
Reported: 2017-07-26 06:02 EDT by Maxime Coquelin
Modified: 2017-08-31 09:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1475259 (view as bug list)
Environment:
Last Closed: 2017-08-31 09:41:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxime Coquelin 2017-07-26 06:02:17 EDT
Description of problem:

Migrating a VM to a destination host running an older version of the
vhost-user backend (e.g. ovs-dpdk) might be broken if source host's
version of the backend may support new feature.

A proposal has been posted upstream for the backend to expose and
support compatibility modes with older backends:
https://mail.openvswitch.org/pipermail/ovs-dev/2017-July/335849.html

If this proposal is approved by different parties (DPDK, OVS, Nova/RHV),
the required developements on DPDK side would be to introduce a new API
to be able to restrict vhost-user suppoted features per instance, instead
of globally as it is done today.
Comment 2 Kevin Traynor 2017-08-25 14:17:05 EDT
Does this commit cover the requested dpdk changes? It allows per device feature enable/disable.

commit 5fbb3941da9f08ecd75ee67e1a059c55c0d3ad2e
Author: Yuanhan Liu <yuanhan.liu@linux.intel.com>
Date:   Sat Apr 1 15:22:39 2017 +0800

    vhost: introduce driver features related APIs
    
    Introduce few APIs to set/get/enable/disable driver features.
Comment 3 Maxime Coquelin 2017-08-31 08:51:22 EDT
Right, thanks for reminding me!

I think we can close this bug, as we should have all required on DPDK side.

Thanks,
Maxime
Comment 4 Kevin Traynor 2017-08-31 09:41:36 EDT
Thanks for confirming. The changes requested are for the DPDK version that is used in the openvswitch package. They are available in DPDK 17.05 which will be used as part of OVS 2.8/2.9.

Note You need to log in before you can comment on or make changes to this bug.